/*-
 * ========================LICENSE_START=================================
 * O-RAN-SC
 * %%
 * Copyright (C) 2021 Nordix Foundation
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================LICENSE_END===================================
 */

package org.oran.dmaapadapter.repository;

import lombok.Getter;

import org.springframework.util.StringUtils;

public class InfoType {

    @Getter
    private final String id;

    @Getter
    private final String dmaapTopicUrl;

    @Getter
    private final boolean useHttpProxy;

    @Getter
    private final String kafkaInputTopic;

    public InfoType(String id, String dmaapTopicUrl, boolean useHttpProxy, String kafkaInputTopic) {
        this.id = id;
        this.dmaapTopicUrl = dmaapTopicUrl;
        this.useHttpProxy = useHttpProxy;
        this.kafkaInputTopic = kafkaInputTopic;
    }

    public boolean isKafkaTopicDefined() {
        return StringUtils.hasLength(kafkaInputTopic);
    }

    public boolean isDmaapTopicDefined() {
        return StringUtils.hasLength(dmaapTopicUrl);
    }

}
